import 'FlutterBaseBannerRefined.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class BidmadBannerRefinedWidget extends StatefulWidget {
  const BidmadBannerRefinedWidget({
    Key? key,
    required this.ad,
  }) : super(key: key);

  final FlutterBaseBannerRefined ad;

  @override
  State<StatefulWidget> createState() => BidmadBannerRefinedWidgetState(ad);
}

class BidmadBannerRefinedWidgetState extends State<BidmadBannerRefinedWidget> {
  final FlutterBaseBannerRefined ad;

  BidmadBannerRefinedWidgetState(this.ad);

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    final String viewType = 'BidmadBannerRefinedWidget';
    // Pass parameters to the platform side.
    final Map<String, dynamic> creationParams = {"key": ad.key};

    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(
        viewType: viewType,
        creationParams: creationParams,
        onPlatformViewCreated: null,
        creationParamsCodec: const StandardMessageCodec(),
      );
    } else if (defaultTargetPlatform == TargetPlatform.iOS) {
      return UiKitView(
        viewType: viewType,
        creationParams: creationParams,
        onPlatformViewCreated: null,
        creationParamsCodec: const StandardMessageCodec(),
      );
    } else {
      throw Exception("Not Support Platform");
    }
  }
}
